Page MenuHomePhabricator

Some letters in math Latex are not displayed and produce an error
Closed, ResolvedPublic

Description

In Latex some letters aren't displaying, they produce error. For example letter ģ, which is sometimes used. See example in this page:
https://lv.wikipedia.org/wiki/Lietot%C4%81js:Edgars2007/math

Related Objects

Event Timeline

Edgars2007 raised the priority of this task from to Needs Triage.
Edgars2007 updated the task description. (Show Details)
Edgars2007 added a subscriber: Edgars2007.
TTO added a project: Math.Jan 6 2015, 9:48 AM
TTO set Security to None.

I guess the operatorname is text. If you change the input to
\operatorname{laiks} + \operatorname{\text{enerģija}} = \operatorname{raksts}
everything works fine in MathML mode.

But after this there is an other error (My non-professional translation to English: "error in converting to PNG format; check if latex, dvips, gs, and convert are correctly installed").

Made an test page @ enwiki with the same content. The results are a littlebit different. There I don't get any errors, when using only \text, without \operatorname, BUT the ģ isn't displayed :D

https://en.wikipedia.org/wiki/User:Edgars2007/math

Aklapper renamed this task from Some letters in math Latex to Some letters in math Latex are not displayed and produce an error.Jan 6 2015, 11:21 AM

@Edgars2007 yes. But it works well in MathML Mode. So the error will disapear after T74240 was solved.

Physikerwelt triaged this task as Low priority.Mar 20 2015, 3:09 PM

I just looked at his example page with SVG rendering and it fails there as well. Unicode characters are not really supported.

Works well with MathML


SVG font seems not to support the special g.
Is there a TeX way of writing the special g.
For example to write german umlauts in TeX one would use \"u instead of ü in standard TeX.

Pkra added a subscriber: Pkra.May 29 2016, 7:14 PM

This was due to a Chrome bug (Chrome not showing <text> elements in SVGs when the SVGs are loaded as background images). Chrome has since fixed this bug -- though the quality with "unknown" Unicode characters is still mediocre in mathjax-node for the time being.

We have since moved from loading SVGs as background images to loading them as normal images. Using the default (MathML and SVG) render mode, https://en.wikipedia.org/wiki/User:Edgars2007/math seems to render well.

Is there still anything to be done here, or can we call this resolved?

Pkra closed this task as Resolved.Dec 6 2018, 10:26 PM